| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Types | Public Member Functions | Protected Member Functions | List of all members
wxWithImages Class Reference

`#include <wx/withimages.h>`

Inheritance diagram for wxWithImages:
[legend]

## Detailed Description

A mixin class to be used with other classes that use a wxImageList.

## Public Types

enum | { NO_IMAGE = -1 }

## Public Member Functions

| wxWithImages ()
virtual | ~wxWithImages ()
void | AssignImageList (wxImageList *imageList)
| Sets the image list for the page control and takes ownership of the list. More...
virtual void | SetImageList (wxImageList *imageList)
| Sets the image list to use. More...
wxImageList * | GetImageList () const
| Returns the associated image list, may be NULL. More...

## Protected Member Functions

bool | HasImageList () const
| Return true if we have a valid image list. More...
wxIcon | GetImage (int iconIndex) const
| Return the image with the given index from the image list. More...

## Member Enumeration Documentation

anonymous enum

Enumerator
NO_IMAGE |

## Constructor & Destructor Documentation

wxWithImages::wxWithImages | ( |  | ) |

virtual wxWithImages::~wxWithImages | ( |  | ) |

virtual

## Member Function Documentation

void wxWithImages::AssignImageList | ( | wxImageList * | imageList | ) |

Sets the image list for the page control and takes ownership of the list.

See also
  wxImageList, SetImageList()

wxIcon wxWithImages::GetImage | ( | int | iconIndex | ) | const

protected

Return the image with the given index from the image list.

If there is no image list or if index == NO_IMAGE, silently returns wxNullIcon.

wxImageList* wxWithImages::GetImageList | ( |  | ) | const

Returns the associated image list, may be NULL.

See also
  wxImageList, SetImageList()

bool wxWithImages::HasImageList | ( |  | ) | const

protected

Return true if we have a valid image list.

virtual void wxWithImages::SetImageList | ( | wxImageList * | imageList | ) |

virtual

Sets the image list to use.

It does not take ownership of the image list, you must delete it yourself.

See also
  wxImageList, AssignImageList()